Subject: RE: [ietf-provreg] a new core command...?

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 6 Jun 2006 08:49:58 -0400

Eugenio,

If I remember correctly we did indeed consider (and rejected the idea
of) adding commands to provide search-like features as you've described
below.  We did that because EPP isn't designed to be a search protocol,
but for a smaller registry it might not be a big deal.  An extension
seems like the right approach.

-Scott-

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Eugenio Pinto
> Sent: Tuesday, June 06, 2006 7:03 AM
> To: [email-masked]
> Subject: [ietf-provreg] a new core command...?
> 
> Hi all,
> 
> I don't know if this subject was already discussed in the 
> past, in the 
> provreg-wg, but I need some opinions about it.
> 
> As a Provisioning Protocol I'm wondering if it shouldn't be there 
> another query command besides <check>, <info> and <transfer> 
> that would 
> allow us to retrieve all the objects actually provisioned by 
> a repository.
> 
> In DNS.PT we needed a command with such functionality in order to 
> retrieve all the domains owned/managed by the current logged 
> user and we 
> needed to do an extension.
> 
> My question is:
> 
> Is it reasonable to include such a command in the core protocol?
> 
> We have two nearly candidates for that goal:
> 
> 1 - The EPP <check> command which is used to determine if an 
> object can 
> be provisioned within a repository.
> 
> 2 - The EPP <info> command which is used to retrieve 
> information associated with an existing object.
> 
> The problem is that the commands above are designed to check well 
> identified objects each time. If we are not looking for a specific 
> object we get nothing...
> 
> As Andrew Sullivan and Frederico Neves already did, I'm working on an 
> I-D detailing some of the DNS.PT experiences with 
> implementation. This 
> extension will be there.
> 
> Once I've completed this, I'll be sure to forward it here.
> 
> Waiting for feed-back,
> 
> Eugenio Pinto
> FCCN - DNS.PT
> 
>